%define	upstream_name    Convert-PEM
%define	upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Read/write encrypted ASN.1 PEM files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-Convert-ASN1 
BuildRequires:  perl-Class-ErrorHandler
BuildRequires:  perl-Crypt-DES_EDE3
BuildArch:	noarch

# not found automatically
Requires:	perl(Class::ErrorHandler)
Requires:	perl

%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded
objects. The files can optionally be encrypted using a symmetric cipher
algorithm, such as 3DES.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1024375
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 938882
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 744804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 684018
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 29579
- mageia rebuild
- imported package perl-Convert-PEM


* Wed Dec 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 616207
- update to new version 0.08

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2011.0
+ Revision: 406920
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.07-5mdv2009.0
+ Revision: 256136
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.07-3mdv2008.1
+ Revision: 136694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-3mdv2008.0
+ Revision: 86230
- rebuild


* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-2mdk
- Fix BuildRequires

* Tue Jun 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-1mdk
- 0.07
- cleanup spec, add Changes file

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-3mdk
- Rebuild for new perl

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-2mdk
- rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.06-1mdk
- New package

